Summary: Isoqlog on SME 
%define name smeserver-isoqlog
Name: %{name}
%define version 2.2.1
%define release 9
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Administration
Source: %{name}-%{version}.tar.xz

Packager: Peter Schubert <psc@@s-a-c-o.de>
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 10.0
Requires: smeserver-apache >= 2.6.0-19
Requires: isoqlog => 2.2.1
BuildRequires: smeserver-devtools

AutoReqProv: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.2.1-9.sme
- Fix e-smith references in smeserver-isoqlog [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.2.1-8.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Jul 31 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.2.1-7.sme
- use httpd 2.4 access syntax [SME: 12049]
  add Requires e-smith-apache >= 2.6.0-19

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 2.2.1-6.sme
- Re-build and link to latest devtools [SME: 11997]

* Fri Jul 29 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.2.1-5.sme
- add to core backup [SME: 12010]
- use httpd 2.4 access syntax [SME: 12049]
- systemd enabled [SME: 11061]
- update event [SME: 11061]
- update httpd.conf needed modules [SME: 11061]

* Wed Feb 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 2.2.1-4.sme
- new tkt options [SME: 1509]

* Tue Sep 17 2013 JP Pialasse <test@pialasse.com> 2.2.1-3.sme
- added  expand template to events domain-create  [SME: 7713]

* Thu Jun 27 2013 JP Pialasse <test@pialasse.com> 2.2.1-2.sme
- Re-build and link to latest devtools missing domain [SME: 7713]
- added expand template to events
- patch1

* Fri Aug 31 2012 JP Pialasse <test@pialasse.com> 2.2.1-1.5.sme
- webserver conf path and file missing fix

* Thu Aug 30 2012 JP Pialasse <test@pialasse.com> 2.2.1-1.2.sme
- Re-build and link to latest devtools BuildRequires

* Thu Aug 16 2012 JP Pialasse <test@pialasse.com> 2.2.1-1-1.sme
- removing isoqlog files from the rpm
- moving to a SME config only
- adding dependency to isoqlog binaries rpm

* Mon Feb 17 2003 Peter Schubert <psc@s-a-c-o.de>
- some fixes in the "post" section of the SPEC

* Fri Feb 14 2003 Peter Schubert <psc@s-a-c-o.de>
- initial release

%description
Installs Isoqlog on SME Server.

%prep

%setup
rm -rf root/service
rm -rf root/var/service

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
#(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
#rm -f %{name}-%{version}-filelist
#/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
#echo "%doc COPYING"          >> %{name}-%{version}-filelist

%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/php/isoqlog-session


(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/lib/php/isoqlog-session 'attr(0770,root,isoqlog)' \
        > %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/e-smith/create-system-user isoqlog 545 'Isoqlog User' /var/lib/qmailtools/isoqlog/htdocs/ /bin/false >& /dev/null || :

%preun
# Disable services, and stop them
if [ $1 = 0 ]; then # Uninstall only, not upgrade
        db configuration setprop httpd-isoqlog status disabled >& /dev/null || :
	/sbin/e-smith/signal-event isoqlog-conf
        sv d /service/httpd-isoqlog
fi

true

%post
/usr/bin/isoqlog -f /etc/isoqlog.conf 1>/dev/null 2>/dev/null

%postun
rm -f /etc/httpd/conf.d/isoqlog.conf


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

